SoComposeRotation(3)

NAME
SoComposeRotation - The SoComposeRotation class is used to compose rotations from angle and axis.

SYNOPSIS

#include <Inventor/engines/SoComposeRotation.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFVec3f axis
SoMFFloat angle
SoEngineOutput rotation

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoComposeRotation class is used to compose rotations from angle and axis. Simple usage example:

#Inventor V2.1 ascii
Separator {
   Transform {
      rotation =
      ComposeRotation { axis 0 1 0  angle =
         ElapsedTime { }.timeOut
      }.rotation
   }
   Cube { }
}

Member Function Documentation

  SoType SoComposeRotation::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoComposeRotation::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoComposeRotation::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoComposeRotation::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoComposeRotation::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoComposeRotation::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoComposeRotation::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoMFVec3f SoComposeRotation::axis
Set of axis vectors for the output rotations. Default value is (0.0f, 0.0f, 1.0f).

  SoMFFloat SoComposeRotation::angle
Set of scalar rotation values for the output rotations. Default value is 0.0.

  SoEngineOutput SoComposeRotation::rotation
(SoMFRotation) Rotations generated from the angle and axis input fields.

Author

Generated automatically by Doxygen for Coin from the source code.